Skip to main content
POST
/
v1
/
admin
/
distribution
/
product-mappings
Create a product mapping
curl --request POST \
  --url https://{operatorDomain}/v1/admin/distribution/product-mappings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channelId": "<string>",
  "productId": "<string>",
  "externalProductId": "<string>",
  "externalRateId": "<string>",
  "externalCategoryId": "<string>",
  "active": true
}
'
{
  "data": {}
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
channelId
string
required
productId
string
required
externalProductId
string
externalRateId
string
externalCategoryId
string
active
boolean

Response

201 - application/json

Created mapping

data
object